[Author Prev][Author Next][Thread Prev][Thread Next][Author Index][Thread Index]
[or-cvs] [tor/master] trivial make-signature.sh patch
commit 0f728e200ad404a199aecc4c61dbf3a3f273adc5
Author: Taylor R Campbell <campbell@xxxxxxxxxx>
Date: Sat Jan 15 23:03:20 2011 -0500
trivial make-signature.sh patch
---
contrib/make-signature.sh | 4 +++-
1 files changed, 3 insertions(+), 1 deletions(-)
diff --git a/contrib/make-signature.sh b/contrib/make-signature.sh
index a0edb67..4aba08b 100755
--- a/contrib/make-signature.sh
+++ b/contrib/make-signature.sh
@@ -1,5 +1,7 @@
#!/bin/sh
+set -eu
+
if test "$1" = "" ; then
echo "I need a package as an argument."
exit 1
@@ -59,7 +61,7 @@ $DIGESTOUTPUT
first few characters. If the digest does not match, you do not have
the right package file. It could even be a forgery.
-Frequentlty asked questions:
+Frequently asked questions:
Q: Why not just sign the package file, like you used to do?
A: GPG signatures authenticate file contents, but not file names. If